Loading...
Searching...
No Matches
peptide.cpp File Reference
`#include <QDebug>`
`#include <algorithm>`
`#include <qobject.h>`
`#include "peptide.h"`
`#include "pappsomspp/core/exception/exceptionnotimplemented.h"`
`#include "pappsomspp/core/exception/exceptionoutofrange.h"`
`#include "pappsomspp/core/exception/exceptionnotpossible.h"`
`#include "pappsomspp/core/types.h"`
`#include "pappsomspp/core/utils.h"`

Go to the source code of this file.

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Functions

bool | pappso::operator< (const pappso::Peptide &l, const pappso::Peptide &r)
bool | pappso::operator== (const pappso::Peptide &l, const pappso::Peptide &r)
bool | pappso::peptideIonTypeIsComplement (Enums::PeptideIon ion_type_ref, Enums::PeptideIon ion_type)
| tells if an ion type is the complement ion of the other
bool | pappso::peptideIonIsNter (Enums::PeptideIon ion_type)
| tells if an ion is Nter
PeptideDirection | pappso::getPeptideIonDirection (Enums::PeptideIon ion_type)
| get the direction of a peptide ion